<?php
	define('STANDARD_NOTICE', "NOTICE: THIS MESSAGE IS SENT BY THE HELPDESK AND IS CONFIGURABLE, DO NOT RESPOND TO THIS MESSAGE, ACCOUNT IS NOT MONITORED FOR INCOMING MAIL");
	/*
		@return		void
		@param		intval		Integer Representing Rule
		@param		name		Name of Submitter
		@param		email		Email Address of Submitter
		@param		datetime	Date of Submission
		@param		desc		Descritpion of Submitted Problem
		@param		type		Type of Email Submission
	*/
	function PerformCreateAction($intval, $name, $email, $datetime, $desc, $type)
	{
		//define message
		switch ($type)
		{
			case 0:
				$message= "<table width=100%><tr><td align=left><strong>Solution :</strong></td></tr>";
				$message.= "<tr><td align=left>$res</td></tr></table>";
				$message ="<font face='Arial, Helvetica, sans-serif' size='2'><strong>Attention: $name,</strong><br><br>";
				$message.="Your Ticket has been added to the Helpdesk Ticket List<br><br></font>";
				$message.="<tr><td><table width=100%>";
				$message.="<tr><td width=50%><font face='Arial, Helvetica, sans-serif' size='2'>Email Address of Submitter:&nbsp;&nbsp;</font></td><td><font face='Arial, Helvetica, sans-serif' size='2'>	<strong>$email</strong></font></td></tr>";   
				$message.="<tr><td width=50%><font face='Arial, Helvetica, sans-serif' size='2'>Description of Call&nbsp;&nbsp;</font></td><td><font face='Arial, Helvetica, sans-serif' size='2'>	<strong>" . nl2br($desc) . "</strong></font></td></tr>";   
				$message.="<tr><td width=50%><font face='Arial, Helvetica, sans-serif' size='2'>Date&nbsp;&nbsp;</font></td><td><font face='Arial, Helvetica, sans-serif' size='2'>	<strong>$datetime</strong></font></td></tr>";
				$message.="</table></td></tr></font></table>";
				$message.="<br><br><font face='Arial, Helvetica, sans-serif' size='2'>Thanks<br><strong>Technical Team</strong><br>";
				break;
			case 1:
				$message  = "Attention: " . $name . " has submitted a new problem on " . $datetime . chr(10) . chr(10);
				$message .= "The Problem is Described Below:" . chr(10);
				$message .= $desc . chr(10) . chr(10);
				break;
		}
		
		switch ($intval)
		{
			case 1:
				//email all technicians
				$q = "select email_addr from " . DB_PREFIX . "accounts where userType = 2";
				$s = mysql_query($q) or die("Error Selected Technician Email Addresses in Rule Determination (Create)");
				while ($r = mysql_fetch_assoc($s))
					mail($r['email_addr'], "A New Ticket Has Been Submitted", $message, "From: auto@" . $_SERVER['SERVER_NAME']);
				break;
			case 2:
				//email to everyone
				$q = "select email_addr from " . DB_PREFIX . "accounts";
				$s = mysql_query($q) or die("Error Selected Technician Email Addresses in Rule Determination (Create)");
				while ($r = mysql_fetch_assoc($s))
					mail($r['email_addr'], "A New Ticket Has Been Submitted", $message, "From: auto@" . $_SERVER['SERVER_NAME']);	
				break;
			case 3:	
				//email admins only
				$q = "select email_addr from " . DB_PREFIX . "accounts where userType = 1";
				$s = mysql_query($q) or die("Error Selected Technician Email Addresses in Rule Determination (Create)");
				while ($r = mysql_fetch_assoc($s))
					mail($r['email_addr'], "A New Ticket Has Been Submitted", $message, "From: auto@" . $_SERVER['SERVER_NAME']);	
				break;
		}
		$headers  = "MIME-Version: 1.0\r\r";
		$headers .= "Content-type: text/$contype; charset=iso-8859-1\n\n";
		$headers .= "From:Help Desk Call\n";
	}
	
	/*
		@name		PerformUpdateAction
		@descrip	Execute the Rule assoicated with updating a ticket
		@param		intval		Int representing the rule to execute
		@param		id			Int representing the ID of the Ticket Updated
	*/
	function PerformUpdateAction($intval, $id, $type, $staff, $describe, $mainDate, $res, $FirstName)
	{
		//build message and headers
		switch ($type)
		{
			case 0:
				  $message= "<table width=100%><tr><td align=left><strong>Solution :</strong></td></tr>";
				  $message.= "<tr><td align=left>$res</td></tr></table>";
			      $message ="<font face='Arial, Helvetica, sans-serif' size='2'><strong>Dear $FirstName,</strong><br><br>";
				  $message.="New Solution is added to your help desk call<br><br></font>";
			      $message.="<tr><td><table width=100%>";
				  $message.="<tr><td width=50%><font face='Arial, Helvetica, sans-serif' size='2'>Ticket Number&nbsp;&nbsp;</font></td><td><font face='Arial, Helvetica, sans-serif' size='2'>	<strong>$id</strong></font></td></tr>";   
				  $message.="<tr><td width=50%><font face='Arial, Helvetica, sans-serif' size='2'>Technical Staff Assigned to call &nbsp;&nbsp;</font></td><td><font face='Arial, Helvetica, sans-serif' size='2'>	<strong>$staff</strong></font></td></tr>";   
			      $message.="<tr><td width=50%><font face='Arial, Helvetica, sans-serif' size='2'>Description of Call&nbsp;&nbsp;</font></td><td><font face='Arial, Helvetica, sans-serif' size='2'>	<strong>$describe</strong></font></td></tr>";   
				  $message.="<tr><td width=50%><font face='Arial, Helvetica, sans-serif' size='2'>Date&nbsp;&nbsp;</font></td><td><font face='Arial, Helvetica, sans-serif' size='2'>	<strong>$mainDate</strong></font></td></tr>";   
				  $message.="</table></td></tr></font></table>";
				  $message.="<br><br><font face='Arial, Helvetica, sans-serif' size='2'>Thanks<br><strong>Technical Team</strong><br>";
				  
				  $headers  = "MIME-Version: 1.0\r\r";
				  $headers .= "Content-type: text/html; charset=iso-8859-1\n\n";
				  $headers .= "From:Help Desk Call\n";
				  break;
			case 1:
				  $message =  "Dear $FirstName\n";
				  $message .= "Ticket Number: $id\n";
				  $message .= "Technical Staff Assigned to call: $staff\n";
				  $message .= "Description of Call: $desc\n";
				  $message .= "Date: $mainDate\n\n";
				  $message .= "Thanks,\nTechnical Team\n";
				  break;
		}
		
		switch ($intval)
		{
			case 1:
				$q = "select Email from " . DB_PREFIX . "data where ID=$id";
				$s = mysql_query($q) or die(mysql_error());
				mail(mysql_result($s, 0, 'Email'), "Help Desk Ticket Updated", $message, $headers);
				break;
			case 2:
				//not sure here
				$q = "select Email from " . DB_PREFIX . "data where ID=$id";
				$s = mysql_query($q) or die(mysql_error());
				mail(mysql_result($s, 0, 'Email'), "Help Desk Ticket Updated", $message, $headers);
				
				$s = mysql_query("select email_addr from " . DB_PREFIX . "accounts where User = '$staff' LIMIT 1");
				if (mysql_num_rows($s)) mail(mysql_result($s, 0), "Help Desk Ticket Updated", $message, $headers);
			case 3:
				$q = "select Email from " . DB_PREFIX . "data where ID=$id";
				$s = mysql_query($q) or die(mysql_error());
				mail(mysql_result($s, 0, 'Email'), "Help Desk Ticket Updated", $message, $headers);
				
				$q = "select email_addr from " . DB_PREFIX . "accounts where userLevel  = 2";
				$s = mysql_query($q) or die(mysql_error());
				while ($r = mysql_fetch_assoc($s))
					mail($r['email_addr'], "Help Desk Ticket Updated", $message, $headers);
				break;
			case 4:
				$q = "select Email from " . DB_PREFIX . "data where ID=$id";
				$s = mysql_query($q) or die(mysql_error());
				mail(mysql_result($s, 0, 'Email'), "Help Desk Ticket Updated", $message, $headers);
				
				$q = "select email_addr from " . DB_PREFIX . "accounts";
				$s = mysql_query($q) or die(mysql_error());
				while ($r = mysql_fetch_assoc($s))
					mail($r['email_addr'], "Help Desk Ticket Updated", $message, $headers);
				break;
			case 5:
				$q = "select email_addr from " . DB_PREFIX . "accounts";
				$s = mysql_query($q) or die(mysql_error());
				while ($r = mysql_fetch_assoc($s))
					mail($r['email_addr'], "Help Desk Ticket Updated", $message, $headers);
				break;
			case 6:
				$q = "select email_addr from " . DB_PREFIX . "accounts where userLevel  = 2";
				$s = mysql_query($q) or die(mysql_error());
				while ($r = mysql_fetch_assoc($s))
					mail($r['email_addr'], "Help Desk Ticket Updated", $message, $headers);
				break;
			case 7:
				$q = "select email_addr from " . DB_PREFIX . "accounts where userLevel  = 1";
				$s = mysql_query($q) or die(mysql_error());
				while ($r = mysql_fetch_assoc($s))
					mail($r['email_addr'], "Help Desk Ticket Updated", $message, $headers);
				break;
		}
	}
	
	/*
		@name		PerformCloseAction
		@descrip	Execute the Rule associated with closing a ticket
		@param		intval		Int representing the rule to execute
		@param		id			Int representing the ID of the Ticket Updated
		@param		message		Message to be sent
		@param		header		Header Information
		@notes		Message is passed in as part of the parameter list - the type is determined in the parent
	*/
	function PerformCloseAction($intval, $id, $message, $header)
	{
		switch ($intval)
		{
			case 1:
				$q = "select Email from " . DB_PREFIX . "data where ID=$id";
				$s = mysql_query($q) or die(mysql_error());
				mail(mysql_result($s, 0, 'Email'), "Help Desk Ticket Closed", $message, $header);
				break;
			case 2:
				//first obtain the techs name and join it with a subselect of the account
				$s = mysql_query("select staff from " . DB_PREFIX . "data where ID = $id LIMIT 1");
				$s = mysql_query("select email_addr from " . DB_PREFIX . "accounts where User = '" . mysql_result($s, 0) . "' LIMIT 1");
				if (mysql_num_rows($s)) mail(mysql_result($s, 0, 'email_addr'), "Help Desk Ticket Updated", $message, $header);
			case 3:
				$q = "select Email from " . DB_PREFIX . "data where ID=$id";
				$s = mysql_query($q) or die(mysql_error());
				mail(mysql_result($s, 0, 'Email'), "Help Desk Ticket Closed", $message, $header);
				
				$q = "select email_addr from " . DB_PREFIX . "accounts where userLevel  = 2";
				$s = mysql_query($q) or die(mysql_error());
				while ($r = mysql_fetch_assoc($s))
					mail($r['email_addr'], "Help Desk Ticket Closed", $message, $header);
				break;
			case 4:
				$q = "select email_addr from " . DB_PREFIX . "accounts";
				$s = mysql_query($q) or die(mysql_error());
				while ($r = mysql_fetch_assoc($s))
					mail($r['email_addr'], "Help Desk Ticket Closed", $message, $header);
				break;
			case 5:
				$q = "select email_addr from " . DB_PREFIX . "accounts";
				$s = mysql_query($q) or die(mysql_error());
				while ($r = mysql_fetch_assoc($s))
					mail($r['email_addr'], "Help Desk Ticket Closed", $message, $header);
				break;
			case 6:
				$q = "select email_addr from " . DB_PREFIX . "accounts where userLevel  = 2";
				$s = mysql_query($q) or die(mysql_error());
				while ($r = mysql_fetch_assoc($s))
					mail($r['email_addr'], "Help Desk Ticket Closed", $message, $header);
				break;
			case 7:
				$q = "select email_addr from " . DB_PREFIX . "accounts where userLevel  = 1";
				$s = mysql_query($q) or die(mysql_error());
				while ($r = mysql_fetch_assoc($s))
					mail($r['email_addr'], "Help Desk Ticket Closed", $message, $header);
				break;
		}	
	}
?>